booster::locale::utf::utf_traits< CharType, 4 > Struct Template Reference

## Public Types

typedef CharType | char_type

## Static Public Member Functions

static int | trail_length (char_type c)
static bool | is_trail (char_type)
static bool | is_lead (char_type)
template<typename It >
static code_point | decode_valid (It &current)
template<typename It >
static code_point | decode (It &current, It last)
static int | width (code_point)
template<typename It >
static It | encode (code_point u, It out)

## Static Public Attributes

static const int | max_width = 1

The documentation for this struct was generated from the following file:

- booster/locale/utf.h